Get schema object

- « Collection::getOne

- Collection::getSession »

- PHP Manual
- mysql_xdevapi\Collection
- Get schema object

# Collection::getSchema

(No version information available, might only be in Git)

Collection::getSchema — Get schema object

### Description

public mysql_xdevapi\Collection::getSchema(): Schema Object

Retrieve the schema object that contains the collection.

### Parameters

This function has no parameters.

### Return Values

The schema object on success, or `null` if the object cannot be retrieved for the given collection.

### Examples

Example #1 mysql_xdevapi\Collection::getSchema() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");

    $session->sql("DROP DATABASE IF EXISTS addressbook")->execute();
    $session->sql("CREATE DATABASE addressbook")->execute();

    $schema     = $session->getSchema("addressbook");
    $collection = $schema->createCollection("people");

    var_dump($collection->getSchema());
    ?>

The above example will output something similar to:

    object(mysql_xdevapi\Schema)#9 (1) {
      ["name"]=>
      string(11) "addressbook"
    }